com.microsoft.sqlserver.jdbc

## Class SQLServerDataSourceObjectFactory

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerDataSourceObjectFactory

All Implemented Interfaces:
  ObjectFactory

    public final class SQLServerDataSourceObjectFactory
    extends Object
    implements ObjectFactory

SQLServerDataSourceObjectFactory is an object factory to materialize datasources from JNDI.

### Constructor Summary

Constructors
Constructor and Description
`SQLServerDataSourceObjectFactory()` Initializes a new instance of the SQLServerDataSourceObjectFactory class.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getObjectInstance(Object ref, Name name, Context c, Hashtable<?,?> h)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLServerDataSourceObjectFactory

    public SQLServerDataSourceObjectFactory()

Initializes a new instance of the SQLServerDataSourceObjectFactory class.

### Method Detail

#### getObjectInstance

    public Object getObjectInstance(Object ref,
                                    Name name,
                                    Context c,
                                    Hashtable<?,?> h)
                             throws SQLServerException

Specified by:
  `getObjectInstance` in interface `ObjectFactory`
Throws:
  `SQLServerException`